Bug 837412 - Sound Crackling on Intel HDA.
Sound Crackling on Intel HDA.
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.3
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Jaroslav Kysela
Ken Benoit
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-03 15:41 EDT by David Edwards
Modified: 2015-10-04 14:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-04 14:42:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screen1 (38.20 KB, image/jpeg)
2012-07-03 15:41 EDT, David Edwards
no flags Details
Screen2 (41.43 KB, image/jpeg)
2012-07-03 15:41 EDT, David Edwards
no flags Details

  None (edit)
Description David Edwards 2012-07-03 15:41:30 EDT
Created attachment 596082 [details]
Screen1

Description of problem:
When I power on my system or resume it from a suspended state I experience crackling and popping of all audio. The workaround I have found is to change the hardware profile to something other than "Analog Stereo Output" and then change it back again. If I suspend or power off the issue returns. See the attached screenshots. This issue has been going on for a year or so through different kernel, alsa, and pulse versions.

Kernel:
Linux 2.6.32-220.2.1.el6.x86_64 #1 SMP Tue Dec 13 16:21:34 EST 2011 x86_64 x86_64 x86_64 GNU/Linux

Installed:
gnome-session-2.28.0-18.el6.x86_64
alsa-lib-1.0.22-3.el6.i686
alsa-lib-1.0.22-3.el6.x86_64
alsa-lib-devel-1.0.22-3.el6.x86_64
alsa-utils-1.0.22-3.el6.x86_64
compiz-gnome-0.8.2-24.el6.x86_64
gnome-applets-2.28.0-7.el6.x86_64
gnome-backgrounds-2.28.0-2.el6.noarch
gnome-bluetooth-libs-2.28.6-8.el6.x86_64
gnome-desktop-2.28.2-9.el6.x86_64
gnome-desktop-devel-2.28.2-9.el6.x86_64
gnome-disk-utility-2.30.1-2.el6.x86_64
gnome-disk-utility-libs-2.30.1-2.el6.x86_64
gnome-disk-utility-ui-libs-2.30.1-2.el6.x86_64
gnome-doc-utils-0.18.1-1.el6.noarch
gnome-doc-utils-stylesheets-0.18.1-1.el6.noarch
gnome-icon-theme-2.28.0-2.el6.noarch
gnome-keyring-2.28.2-7.el6.i686
gnome-keyring-2.28.2-7.el6.x86_64
gnome-keyring-devel-2.28.2-7.el6.i686
gnome-keyring-devel-2.28.2-7.el6.x86_64
gnome-keyring-pam-2.28.2-7.el6.i686
gnome-keyring-pam-2.28.2-7.el6.x86_64
gnome-mag-0.15.9-2.el6.x86_64
gnome-media-2.29.91-6.el6.x86_64
gnome-media-libs-2.29.91-6.el6.x86_64
gnome-menus-2.28.0-4.el6.x86_64
gnome-packagekit-2.28.3-3.el6.x86_64
gnome-panel-2.30.2-14.el6.x86_64
gnome-panel-libs-2.30.2-14.el6.x86_64
gnome-pilot-2.0.17-9.el6.x86_64
gnome-power-manager-2.28.3-6.el6_2.x86_64
gnome-python2-2.28.0-3.el6.x86_64
gnome-python2-applet-2.28.0-4.el6.x86_64
gnome-python2-bonobo-2.28.0-3.el6.x86_64
gnome-python2-canvas-2.28.0-3.el6.x86_64
gnome-python2-desktop-2.28.0-4.el6.x86_64
gnome-python2-extras-2.25.3-20.el6.x86_64
gnome-python2-gconf-2.28.0-3.el6.x86_64
gnome-python2-gnome-2.28.0-3.el6.x86_64
gnome-python2-gnomekeyring-2.28.0-4.el6.x86_64
gnome-python2-gnomevfs-2.28.0-3.el6.x86_64
gnome-python2-gtkhtml2-2.25.3-20.el6.x86_64
gnome-python2-libegg-2.25.3-20.el6.x86_64
gnome-python2-libwnck-2.28.0-4.el6.x86_64
gnome-screensaver-2.28.3-18.el6.x86_64
gnome-screensaver-frogs-0.2-7.el6.noarch
gnome-session-xsession-2.28.0-18.el6.x86_64
gnome-settings-daemon-2.28.2-20.el6.x86_64
gnome-speech-0.4.25-3.1.el6.x86_64
gnome-system-monitor-2.28.0-11.el6.x86_64
gnome-terminal-2.31.3-7.el6.x86_64
gnome-themes-2.28.1-6.el6.noarch
gnome-user-docs-2.28.0-4.el6.noarch
gnome-user-share-2.28.2-3.el6.x86_64
gnome-utils-2.28.1-10.el6.x86_64
gnome-utils-libs-2.28.1-10.el6.x86_64
gnome-vfs2-2.24.2-6.el6.x86_64
gnome-vfs2-devel-2.24.2-6.el6.x86_64
gnome-vfs2-smb-2.24.2-6.el6.x86_64
libgail-gnome-1.20.1-4.1.el6.x86_64
libgnome-2.28.0-11.el6.x86_64
libgnome-devel-2.28.0-11.el6.x86_64
libgnomecanvas-2.26.0-4.el6.x86_64
libgnomecanvas-devel-2.26.0-4.el6.x86_64
libgnomekbd-2.28.2-2.el6.x86_64
libgnomeui-2.24.1-4.el6.x86_64
libgnomeui-devel-2.24.1-4.el6.x86_64
libopenraw-gnome-0.0.5-4.1.el6.x86_64
NetworkManager-gnome-0.8.1-33.el6.x86_64
polkit-gnome-0.96-3.el6.x86_64
pulseaudio-0.9.21-13.el6.x86_64
pulseaudio-gdm-hooks-0.9.21-13.el6.x86_64
pulseaudio-libs-0.9.21-13.el6.i686
pulseaudio-libs-0.9.21-13.el6.x86_64
pulseaudio-libs-devel-0.9.21-13.el6.x86_64
pulseaudio-libs-glib2-0.9.21-13.el6.x86_64
pulseaudio-libs-zeroconf-0.9.21-13.el6.x86_64
pulseaudio-utils-0.9.21-13.el6.x86_64
rhn-setup-gnome-1.0.0-87.el6.noarch
subscription-manager-gnome-0.99.19.2-1.el6_3.x86_64
system-gnome-theme-60.0.2-1.el6.noarch

Hardware:
00:1b.0 Audio device: Intel Corporation 82801JD/DO (ICH10 Family) HD Audio Controller (rev 02)
Subsystem: Dell Device 027f
Flags: bus master, fast devsel, latency 0, IRQ 34
Memory at f7fdc000 (64-bit, non-prefetchable) [size=16K]
Capabilities: [50] Power Management version 2
Capabilities: [60] MSI: Enable+ Count=1/1 Maskable- 64bit+
Capabilities: [70] Express Root Complex Integrated Endpoint, MSI 00
Capabilities: [100] Virtual Channel <?>
Capabilities: [130] Root Complex Link <?>
Kernel driver in use: HDA Intel
Kernel modules: snd-hda-intel

Modules:
Module	Size	Usedby
3w_9xxx	35677	2
acpi_cpufreq	7955	0
aes_generic	27609	1aes_x86_64
aes_x86_64	7914	2
ahci	40455	1
ata_generic	3837	0
autofs4	26888	3
cdrom	39803	1sr_mod
cpufreq_ondemand	10448	4
crc_t10dif	1541	1sd_mod
cryptd	8006	0
dcdbas	9219	0
dm_crypt	13022	1
dm_log	10122	2dm_mirror,dm_region_hash
dm_mirror	14101	0
dm_mod	81596	17dm_crypt,dm_mirror,dm_log
dm_region_hash	12170	1dm_mirror
e1000e	219404	0
ext4	364410	4
freq_table	4881	2cpufreq_ondemand,acpi_cpufreq
fuse	66285	2
gf128mul	8569	1xts
i2c_core	31276	3videodev,i2c_i801,nvidia
i2c_i801	11231	0
ip_tables	17831	1iptable_filter
ip6_tables	19458	1ip6table_filter
ip6t_REJECT	4628	2
ip6table_filter	2889	1
ipt_REJECT	2383	2
iptable_filter	2793	1
ipv6	322029	59ip6t_REJECT,nf_conntrack_ipv6,nf_defrag_ipv6
iTCO_vendor_support	3088	1iTCO_wdt
iTCO_wdt	13662	0
jbd2	88738	1ext4
mbcache	8144	1ext4
microcode	112594	0
mperf	1557	1acpi_cpufreq
nf_conntrack	79453	3nf_conntrack_ipv4,nf_conntrack_ipv6,xt_state
nf_conntrack_ipv4	9506	2
nf_conntrack_ipv6	8748	2
nf_defrag_ipv4	1483	1nf_conntrack_ipv4
nf_defrag_ipv6	12182	1nf_conntrack_ipv6
nvidia	12332193	24
parport	37265	2ppdev,parport_pc
parport_pc	22978	0
pata_acpi	3701	0
ppdev	8729	0
sd_mod	39520	3
serio_raw	4818	0
sg	30124	0
snd	70023	14snd_usb_audio,snd_rawmidi,snd_hda_codec_analog,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_seq,snd_seq_device,snd_pcm,snd_timer
snd_hda_codec	91845	2snd_hda_codec_analog,snd_hda_intel
snd_hda_codec_analog	86654	1
snd_hda_intel	25548	1
snd_hwdep	6780	2snd_usb_audio,snd_hda_codec
snd_page_alloc	8630	2snd_hda_intel,snd_pcm
snd_pcm	84702	3snd_usb_audio,snd_hda_intel,snd_hda_codec
snd_rawmidi	23407	1snd_usb_lib
snd_seq	56591	0
snd_seq_device	6596	2snd_rawmidi,snd_seq
snd_timer	23057	2snd_seq,snd_pcm
snd_usb_audio	91337	1
snd_usb_lib	18721	1snd_usb_audio
soundcore	8086	1snd
sr_mod	16228	1
sunrpc	243758	1
usb_storage	49452	0
uvcvideo	63168	0
v4l2_compat_ioctl32	7110	1videodev
videodev	76310	1uvcvideo
vmci	79637	1vsock
vmmon	72447	0
vmnet	50738	0
vsock	50088	0
xt_state	1492	4
xts	2657	1
Comment 1 David Edwards 2012-07-03 15:41:55 EDT
Created attachment 596083 [details]
Screen2
Comment 3 RHEL Product and Program Management 2012-07-10 04:26:10 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 4 RHEL Product and Program Management 2012-07-10 21:57:37 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 5 Lennart Poettering 2012-07-17 10:57:14 EDT
Sounds like an issue with the kernel driver. Reassigning.
Comment 6 RHEL Product and Program Management 2012-12-14 03:30:03 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 7 John Shortt 2015-10-04 14:42:13 EDT
This BZ is quite old and no updates in years.  Several changes have been introduced in the 4 minor releases since, so please test against 6.7 and reopen or submit a new BZ if the problem persists.

Thanks

Note You need to log in before you can comment on or make changes to this bug.